package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TdGoodsTypeMapper;
import com.huiju.welcome.model.TdGoodsType;
import com.huiju.welcome.service.ITdGoodsTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TdGoodsTypeServiceImpl extends ServiceImpl<TdGoodsTypeMapper, TdGoodsType> implements ITdGoodsTypeService {
    @Autowired
    private TdGoodsTypeMapper tdGoodsTypeMapper;
    @Override
    public ResponseBean typeList(IPage<TdGoodsType> pg,String typeName) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TdGoodsType> list= tdGoodsTypeMapper.typeList(pg,typeName);
        responseBean.addSuccess(list);
        return responseBean;
    }

}
